html,
body {
  padding: 0;
  margin: 0;
}
* {
  font-family: sans-serif;
}
.header {
  background: #9b9b9b;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 10px 20px;
}
.header:hover .dropdown-content {
  display: block;
}
.header .logo {
  color: #fff;
  font-size: 18px;
}
.header .header-row {
  display: flex;
  align-items: center;
}
.header .header-row .notification {
  position: relative;
  padding: 9px 0;
}
.header .header-row .notification:hover .dropdown-content {
  display: block;
}
.header .header-row .notification .notification-logo {
  display: block;
  width: 25px;
  margin-right: 30px;
  position: relative;
  cursor: pointer;
}
.header .header-row .notification .badge {
  position: absolute;
  top: -2px;
  right: 20px;
  width: 15px;
  height: 15px;
  background: red;
  color: #ffffff;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
  font-size: 10px;
}
.header .header-row .notification .notification-animation {
  animation: notification 1s linear;
}
@keyframes notification {
  0% {
    transform: rotate(0deg);
  }
  10% {
    transform: rotate(-10deg);
  }
  20% {
    transform: rotate(5deg);
  }
  30% {
    transform: rotate(10deg);
  }
  40% {
    transform: rotate(5deg);
  }
  50% {
    transform: rotate(-10deg);
  }
  60% {
    transform: rotate(-15deg);
  }
  70% {
    transform: rotate(5deg);
  }
  80% {
    transform: rotate(0deg);
  }
  90% {
    transform: rotate(-10deg);
  }
  100% {
    transform: rotate(0deg);
  }
}
.header .header-row .notification .dropdown-content {
  display: none;
  position: absolute;
  left: -130px;
  top: 40px;
  background-color: #fff;
  width: 350px;
  z-index: 1;
  border: 1px solid #767676;
  border-top: none;
}
.header .header-row .notification .dropdown-content .dropdown-content-element {
  box-sizing: border-box;
  padding: 10px;
  display: flex;
}
.header .header-row .notification .dropdown-content .dropdown-content-element .user-from {
  display: flex;
  flex-direction: column;
  margin-right: 15px;
  gap: 5px;
}
.header .header-row .notification .dropdown-content .dropdown-content-element .user-from .user-from-logo {
  margin: 0 auto;
  width: 30px;
  background-color: #cccccc;
  border-radius: 50%;
  border: 1px solid #767676;
}
.header .header-row .notification .dropdown-content .dropdown-content-element .user-from-message {
  width: 200px;
  background: #cccccc;
  border: 1px solid #828282;
  border-radius: 5px;
  height: 40px;
  position: relative;
}
.header .header-row .notification .dropdown-content .dropdown-content-element .user-from-message::after {
  position: absolute;
  top: 10px;
  left: -11px;
  border-top: 6px solid transparent;
  border-bottom: 2px solid transparent;
  border-right: 12px solid #cccccc;
}
.header .header-row .notification .dropdown-content .dropdown-content-element .user-from-message p {
  margin: 10px auto;
}
.header .header-row .user {
  display: flex;
  align-items: center;
  position: relative;
}
.header .header-row .user .user-logo {
  width: 35px;
  background: #fff;
  border-radius: 50%;
  padding: 5px 2px 0;
  border: 2px solid #00baa6;
  margin-right: 5px;
}
.header .header-row .user .user-fullname {
  color: #fff;
  font-size: 18px;
}
.header .header-row .user .dropdown-content {
  display: none;
  position: absolute;
  right: -20px;
  top: 40px;
  background-color: #fff;
  width: 100px;
  z-index: 1;
  border: 1px solid #767676;
  color: #4a4a4a;
  border-top: none;
  text-decoration: none;
  padding: 10px 5px 10px 20px;
}
.header .header-row .user .dropdown-content a {
  display: block;
  margin-bottom: 15px;
  font-size: 18px;
  text-align: left;
}
.header .header-row .user .dropdown-content a:last-child {
  margin-bottom: 10px;
}
.header .header-row .user:hover .dropdown-content {
  display: block;
}
.navigation {
  display: flex;
  flex-direction: column;
  gap: 10px;
  width: 250px;
  position: fixed;
  padding: 40px 0 0 40px;
}
.navigation a {
  text-decoration: none;
  color: #4a4a4a;
  font-size: 18px;
}
.navigation .active-nav {
  font-weight: bold;
}
.main {
  margin-left: 250px;
  padding: 35px 40px 40px 0px;
}
.main .title {
  font-weight: 400;
  margin: 0 0 5px;
}
.main .add-student-btn {
  display: block;
  margin-left: auto;
  border: 1px solid #4a4a4a;
  background: #fff;
  line-height: 0;
  margin-bottom: 15px;
  padding: 3px 6px;
}
.main .add-student-btn:hover {
  cursor: pointer;
}
.main .table {
  border-collapse: collapse;
  width: 100%;
}
.main .table th,
.main .table td {
  border: 2px solid #5f5f5f;
}
.main .table th {
  font-weight: 400;
  font-size: 12px;
  padding: 20px 0;
}
.main .table .checkbox-column,
.main .table .gender-column,
.main .table .status-column {
  width: 110px;
}
.main .table .group-column,
.main .table .options-column {
  width: 150px;
}
.main .table .birthday-column {
  width: 170px;
}
.main .table td {
  font-weight: bold;
  font-size: 16x;
  text-align: center;
  padding: 15px 0;
}
.main .table td .status-cell {
  display: block;
  width: 25px;
  height: 25px;
  background: #000;
  margin: 0 auto;
  border-radius: 50%;
}
.main .table td .active-status {
  background: #689e39;
}
.main .table td .inactive-status {
  background: #b6b6b6;
}
.main .table .options-cell button {
  background: none;
  line-height: 0;
  padding: 5px 8px;
  border: 1px solid #4a4a4a;
  cursor: pointer;
}
.main .table .options-cell button:first-child {
  margin-right: 4px;
}
.main .table .checkbox-cell {
  position: relative;
  font-size: 22px;
  user-select: none;
}
.modal {
  display: none;
  position: fixed;
  z-index: 1;
  padding-top: 100px;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: #000000;
  background-color: rgba(0, 0, 0, 0.4);
}
.modal .modal-content {
  position: relative;
  background-color: #fff;
  margin: auto;
  padding: 0;
  border: 1px solid #4a4a4a;
  border-radius: 8px;
  width: 800px;
}
.modal .close {
  background: none;
  position: absolute;
  right: 20px;
  top: 20px;
  display: block;
  line-height: 0;
  padding: 1px 3px;
  border: 1px solid #4a4a4a;
  cursor: pointer;
}
.modal .modal-header {
  padding: 2px 16px;
  background-color: #fff;
  border-radius: 8px;
}
.modal .modal-body {
  border-top: 1px solid #4a4a4a;
  border-bottom: 1px solid #4a4a4a;
  padding: 50px 30px;
  font-weight: bold;
  font-size: 18px;
}
.modal .modal-footer {
  padding: 2px 16px;
  background-color: #fff;
  color: white;
  border-radius: 8px;
  padding: 15px 10px;
}
.modal .modal-footer .actions {
  display: flex;
  justify-content: flex-end;
  gap: 20px;
}
.modal .modal-footer .actions button {
  color: #5f5f5f;
  padding: 2px 10px;
  cursor: pointer;
  background: none;
  border: 1px solid #4a4a4a;
}
.show {
  display: block;
}
